﻿using System;
using System.Windows.Forms;
using IDAutomation.Linear;

namespace Test_Linear
{
    public partial class txtReturnType : Form
    {
        public txtReturnType()
        {
            InitializeComponent();
            cbType.SelectedIndex = 0;
            txtSegments.Text = "22";
            txtNDimension.Text = "2";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void btUpdate_Click_1(object sender, EventArgs e)
        {


            string dataToEncode = tbDatatoencode.Text;
            bool applyTilde = ckApplyTilde.Checked;
            int Segments = int.Parse(txtSegments.Text);
            string BarcodeType = cbType.SelectedItem.ToString();
            int ReturnType = int.Parse(txtRType.Text);
            double NDimension = double.Parse(txtNDimension.Text);
            bool checkDigit = ckCheckDigit.Checked;
            bool useFont = ckFonts.Checked;
            string StartChar = txtStartChar.Text;
            string StopChar = txtStopChar.Text;



            if (!useFont) txtBarCode.Font = new System.Drawing.Font("Courier New", 12f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));

            if (BarcodeType == "DataBar")
            {
                DataBar Code = new DataBar();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomation DataBar 24 DEMO", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_DataBar_DataBar(dataToEncode);
            }
            else if (BarcodeType == "DataBar Expanded")
            {
                DataBar Code = new DataBar();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomation DataBar 24 DEMO", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_DataBar_DataBarExpanded(dataToEncode, Segments);
            }
            else if (BarcodeType == "DataBar Stacked")
            {
                DataBar Code = new DataBar();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomation DataBar 24 DEMO", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_DataBar_DataBarStacked(dataToEncode);
            }
            else if (BarcodeType == "DataBar Stacked Onmi-Directional")
            {
                DataBar Code = new DataBar();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomation DataBar 24 DEMO", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_DataBar_DataBarStackedOmniDirectional(dataToEncode);
            }
            else if (BarcodeType == "DataBar Limited")
            {
                DataBar Code = new DataBar();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomation DataBar 13 DEMO", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_DataBar_DataBarLimited(dataToEncode);
            }
            else if (BarcodeType == "USPS IntelligentMail")
            {
                IntelligentMail Code = new IntelligentMail();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSIMB DEMO", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.FontEncode(dataToEncode);
            }
            else if (BarcodeType == "Code128")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSC128XS Demo", 24F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code128(dataToEncode, ReturnType, applyTilde);
            }
            else if (BarcodeType == "Code128a")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSC128XS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code128a(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "Code128b")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSC128XS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code128b(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "Code128c")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSC128XS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code128c(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "I2of5")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSHI25S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.I2of5(dataToEncode);
            }
            else if (BarcodeType == "I2of5Mod10")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont) txtBarCode.Font = new System.Drawing.Font("IDAutomationSHI25S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.I2of5Mod10(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "Code39Mod43")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSHC39S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code39Mod43(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "Code39")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSHC39S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code39(dataToEncode);
            }
            else if (BarcodeType == "Code39ExtMod43")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont) txtBarCode.Font = new System.Drawing.Font("IDAutomationSHC39S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code39ExtMod43(dataToEncode);
            }
            else if (BarcodeType == "Code39Ext")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont) txtBarCode.Font = new System.Drawing.Font("IDAutomationSHC39S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code39Ext(dataToEncode);
            }
            else if (BarcodeType == "MSI")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationMSI Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.MSI(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "UPCa")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.UPCa(dataToEncode);
            }
            else if (BarcodeType == "UPCa")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.UPCa(dataToEncode);
            }
            else if (BarcodeType == "UPCe")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.UPCe(dataToEncode);
            }
            else if (BarcodeType == "IDAEAN13")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAEAN13(dataToEncode);
            }
            else if (BarcodeType == "IDAEAN8")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAEAN8(dataToEncode);
            }
            else if (BarcodeType == "EAN13")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.EAN13(dataToEncode);
            }
            else if (BarcodeType == "EAN8")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUPCEANS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.EAN8(dataToEncode);
            }
            else if (BarcodeType == "GS1_128")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSC128XS Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.GS1_128(dataToEncode);
            }
            else if (BarcodeType == "RM4SCC")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationRM Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.RM4SCC(dataToEncode);
            }
            else if (BarcodeType == "Codabar")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationCB Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Codabar(dataToEncode, StartChar, StopChar);
            }
            else if (BarcodeType == "Postnet")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationPOSTNET Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Postnet(dataToEncode, ReturnType);
            }
            else if (BarcodeType == "Code93")
            {
                FontEncoder Code = new FontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSC93S Demo", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.Code93(dataToEncode);
            }
            else if (BarcodeType == "ProcessTilde")
            {
                FontEncoder Code = new FontEncoder();
                txtBarCode.Font = new System.Drawing.Font("Courier New", 12f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.ProcessTilde(dataToEncode);
            }
            else if (BarcodeType == "SpliceText")
            {
                FontEncoder Code = new FontEncoder();
                txtBarCode.Font = new System.Drawing.Font("Courier New", 12f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.SpliceText(dataToEncode,4, applyTilde);
            }
            else if (BarcodeType == "IDAutomation_Uni_C128a")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_C128a(dataToEncode);
            }
            else if (BarcodeType == "IDAutomation_Uni_C128b")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_C128b(dataToEncode);
            }
            else if (BarcodeType == "IDAutomation_Uni_C128c")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_C128c(dataToEncode);
            }
            else if (BarcodeType == "IDAutomation_Uni_GS1_128")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 12f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_GS1_128(dataToEncode);
            }
            else if (BarcodeType == "IDAutomation_Uni_C128")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_C128(dataToEncode, applyTilde);
            }
            else if (BarcodeType == "IDAutomation_Uni_C128HR")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                txtBarCode.Font = new System.Drawing.Font("Courier New", 12f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_C128HR(dataToEncode, applyTilde);
            }
            else if (BarcodeType == "IDAutomation_Uni_SpliceText")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
               txtBarCode.Font = new System.Drawing.Font("Courier New", 12f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_SpliceText(dataToEncode,4, applyTilde);
            }
            else if (BarcodeType == "IDAutomation_Uni_I2of5")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_I2of5(dataToEncode, NDimension, checkDigit);
            }
            else if (BarcodeType == "IDAutomation_Uni_Postnet")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_Postnet(dataToEncode, checkDigit);
            }
            else if (BarcodeType == "IDAutomation_Uni_Planet")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_Planet(dataToEncode, checkDigit);
            }
            else if (BarcodeType == "IDAutomation_Uni_C39")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_C39(dataToEncode, NDimension, checkDigit);
            }
            else if (BarcodeType == "IDAutomation_Uni_MSI")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_MSI(dataToEncode, NDimension, checkDigit);
            }
            else if (BarcodeType == "IDAutomation_Uni_Codabar")
            {
                UniversalFontEncoder Code = new UniversalFontEncoder();
                if (useFont)   txtBarCode.Font = new System.Drawing.Font("IDAutomationSUniS Demo Symbol", 24f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
                txtBarCode.Text = "\r\n" + Code.IDAutomation_Uni_Codabar(dataToEncode, NDimension);
            }
        }

        private void cbType_SelectedIndexChanged(object sender, EventArgs e)
        {
            txtStartChar.Enabled = (cbType.SelectedItem.ToString() == "Codabar");
            txtStopChar.Enabled = (cbType.SelectedItem.ToString() == "Codabar");
            txtSegments.Enabled = (cbType.SelectedItem.ToString() == "DataBar Expanded");
            ckApplyTilde.Enabled = (cbType.SelectedItem.ToString() == "Code128") || 
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_C128") ||
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_C128HR") ||
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_SpliceText") ||
                                   (cbType.SelectedItem.ToString() == "SpliceText");
            txtRType.Enabled = (cbType.SelectedItem.ToString() == "Code128") || (cbType.SelectedItem.ToString() == "Code128a") ||
                (cbType.SelectedItem.ToString() == "Code128b") || (cbType.SelectedItem.ToString() == "Code128c") ||
                (cbType.SelectedItem.ToString() == "Code39Mod43") || (cbType.SelectedItem.ToString() == "I2of5Mod10") ||
                (cbType.SelectedItem.ToString() == "MSI") || (cbType.SelectedItem.ToString() == "Postnet");

            ckCheckDigit.Enabled = (cbType.SelectedItem.ToString() == "IDAutomation_Uni_I2of5") ||
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_Postnet") ||
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_Planet") ||
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_C39") ||
                                   (cbType.SelectedItem.ToString() == "IDAutomation_Uni_MSI");
            txtNDimension.Enabled = (cbType.SelectedItem.ToString() == "IDAutomation_Uni_I2of5") ||
                                    (cbType.SelectedItem.ToString() == "IDAutomation_Uni_C39") ||
                                    (cbType.SelectedItem.ToString() == "IDAutomation_Uni_MSI") ||
                                    (cbType.SelectedItem.ToString() == "IDAutomation_Uni_Codabar");
            ckFonts.Enabled = (cbType.SelectedItem.ToString() != "ProcessTilde") &&
                                       (cbType.SelectedItem.ToString() != "SpliceText") &&
                                       (cbType.SelectedItem.ToString() != "IDAutomation_Uni_C128HR") &&
                                       (cbType.SelectedItem.ToString() != "IDAutomation_Uni_SpliceText");

        }
    }


}
